Bug 987929 - Dist-geo-rep : geo-rep xsync misses some files while doing rebalance and geo-rep syncing files parallely
Dist-geo-rep : geo-rep xsync misses some files while doing rebalance and geo...
Status: CLOSED EOL
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: geo-replication (Show other bugs)
2.1
x86_64 Linux
high Severity high
: ---
: ---
Assigned To: Bug Updates Notification Mailing List
shilpa
: ZStream
Depends On:
Blocks: 957769
  Show dependency treegraph
 
Reported: 2013-07-24 08:29 EDT by Vijaykumar Koppad
Modified: 2015-11-25 03:50 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-25 03:49:05 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vijaykumar Koppad 2013-07-24 08:29:20 EDT
Description of problem: doing rebalance while  geo-rep syncing files, geo-rep xsync fails to get some of the  files. Consequently those file won't be synced to slave.

Observations: 
1. all missing files had entries in the one  brick changelog
2. That brick changelog was present in either, .processing or .processed directories of the geo-rep working_dir of the brick 
3. Those had no entries in the XSYNC-CHANGELOG too, which means, after stop and start of the geo-rep , first xsync crawl failed get the those entries. 

Version-Release number of selected component (if applicable):3.4.0.12rhs.beta6-1.el6rhs.x86_64


How reproducible: Didn't try reproducing it


Steps to Reproduce:
1.Create and start a geo-rep relationship between master(DIST_REP)  and slave.
2.Add bricks to the master volume.
3.start creating file on the master volume  and  parallely  do geo-rep stop && geo-rep start && rebalance start 

Actual results: Fails to sync few files


Expected results:Should sync all the files


Additional info:
Comment 2 Vijaykumar Koppad 2013-07-24 08:54:08 EDT
One more observation to add, 

- .processed directory in geo-rep working directory of the brick, the brick where all the missing file were from, has entries for the changelogs , 
 CHANGELOG.1374662896 and CHANGELOG.1374662936, the missing one was CHANGELOG.1374662916, and if you check from the backend changelog dir, all those files had entries in changelog  CHANGELOG.1374662916,  and the changelog of xsync crawl which was processed in that time, was XSYNC-CHANGELOG.1374662916, 


Hope this might help.
Comment 4 Amar Tumballi 2013-08-07 01:31:45 EDT
As per the discussions in mailing thread:

>
> Can we consider taking 'blocker' flag from this and mark bug as 'medium'
> priority? Its an issue when rebalancing, you are not having the
> geo-replication stopped and started. For now, if geo-replication is
> continuously running, rebalance is handled properly.
>

Sayan: Agree that this is not a blocker.
Amar : taking this out of 'blocker' list now.
Comment 11 Aravinda VK 2015-11-25 03:49:05 EST
Closing this bug since RHGS 2.1 release reached EOL. Required bugs are cloned to RHGS 3.1. Please re-open this issue if found again.
Comment 12 Aravinda VK 2015-11-25 03:50:56 EST
Closing this bug since RHGS 2.1 release reached EOL. Required bugs are cloned to RHGS 3.1. Please re-open this issue if found again.

Note You need to log in before you can comment on or make changes to this bug.